<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * 
 */
class Acceso_model extends CI_Model {
	
	public function __construct() {
		parent::__construct();
	}
	
	//Consulta que valida que el usuario este loguead y manda un mensaje si tiene datos incorrectos
	public function login_user($usuario,$contrasenia)
	{
		$this->db->select('*');
		$this->db->where('Usuario',$usuario);
		$this->db->where('Contrasenia',$contrasenia);
		$this->db->where('Estatus','Activo');
		$query = $this->db->get('usuarios');
		if($query->num_rows() == 1){
			return $query->row();
		}else{
			return $query->num_rows();
		}
		// }else{
		// 	$this->session->set_flashdata('usuario_incorrecto','Los datos introducidos son incorrectos');
		// 	redirect(base_url().'acceso/acceso','refresh');
		// }
	}
	public function Franquicia()
	{
		$this->db->select('*');
		$this->db->from('usuarios');
		$this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
		$this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
		$query=$this->db->get();
		  if ($query->num_rows() > 0) { 
		   foreach($query->result() as $row) 
			$nombreFranquicia=htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
			   $query->free_result(); 
			   return $nombreFranquicia; }
	}
	public function Promociones()
	{
		$this->db->set('Estatus', 'DESACTIVA');
		$this->db->where('FechaTerminoPromocion < CURDATE()');
		$this->db->update('promociones');
		$res=$this->db->affected_rows();	
	}
}


